Subject: [Geopriv] Re: [Ecrit] FW: [New-work] OMA New Work - 1 New Work Item Approved - Location inSIP/IP core

From: Hannes Tschofenig <[email-masked]>
Date: Mon, 09 Jul 2007 20:33:32 +0200

Hi Dan,

thanks for posting this to the list.

I wonder whether there is awareness of the work related to

* SIP Location Conveyance
http://tools.ietf.org/wg/sip/draft-ietf-sip-location-conveyance/
* The ability to use the notify/subscribe concept for obtaining a PIDF-LO
* A Document Format for Filtering and Reporting Location Notications in
   the Presence Information Document Format Location Object (PIDF-LO)
http://www.ietf.org/internet-drafts/draft-ietf-geopriv-loc-filters-01.txt

Maybe it is good to start an interaction between SIP & GEOPRIV and the 
OMA Location Group.

Ciao
Hannes

Romascanu, Dan (Dan) wrote:
>  
>  
>  
>  
>
> ________________________________
>
> From: Victoria Gray [mailto:[email-masked]] 
> Sent: Thursday, July 05, 2007 3:49 PM
> To: [email-masked]
> Subject: [New-work] OMA New Work - 1 New Work Item Approved - Location
> inSIP/IP core
>
>
> Dear All,
>
> OMA would like to inform all the organisations subscribed to the IETF
> new-work list of the approval of 1 new work item:
>
> 1 Location in SIP/IP Core WI:
>
> http://www.openmobilealliance.org/ftp/Public_documents/TP/Permanent_docu
> ments/OMA-WID_0149-LOCSIP-V1_0-20070704-A.zip
> <http://www.openmobilealliance.org/ftp/Public_documents/TP/Permanent_doc
> uments/OMA-WID_0149-LOCSIP-V1_0-20070704-A.zip> 
>
> Background : OMA has developed various enablers related to location. The
> MLS enabler has the main purpose to define protocols for exposure of
> terminal location to applications but do not define any positioning
> determination mechanisms. SUPL on the other hand defines procedures and
> protocols for positioning determination of a terminal utilizing an IP
> connection between server and terminal. Both enablers are to some extent
> prepared for use in a SIP context e.g. by allowing use of SIP-URI
> identities. None of them do however support exposure of terminal
> location to an application within a SIP/IP core network (one example of
> such a network is an IP Multimedia Subsystem). The implication of this
> is that a  SIP Application Server needing location information to
> enhance its services needs to implement one or more non-SIP interfaces
> to Location Servers. By instead defining an interface & procedure using
> SIP, additional interface technologies can be avoided and routing and
> addressing mechanisms in the SIP/IP Core as well as existing SIP based
> OMA enablers (such as XDM) can be reused.
>
> Objective: The purpose of this work item is to specify a service enabler
> for exposing location information to applications in a SIP/IP core
> network (e.g an IP Multimedia Subsystem). The service enabler is to be
> specified as a reusable network component in a SIP/IP core network,
> capable of receiving and responding to location subscriptions over a
> standardised SIP-based interface. Handling of the location specific
> functions within a SIP/IP core  is to be specified but positioning
> determination functions within SIP/IP core are out of scope. The LOCSIP
> enabler will take into account the OMA MLS enabler. 
>
> The enabler shall specifically consider interworking with other OMA
> enablers that potentially utilize location information e.g. Presence
> SIMPLE and PoC. The resulting specification shall preferably reuse
> available IETF specifications e.g. IETF Geopriv deliverables. 
>
> Location in SIP/IP core enabler implementations may interwork with
> applicable positioning determination functions in access networks and/or
> at UE. Possible positioning determination functions depend on support in
> IP-CAN and UEs, but are expected to at least include 3GPP/3GPP2 LCS and
> OMA SUPL (Secure User Plane Location).
>
> This work item has been allocated to the OMA LOC (Location) WG for
> specification development.
>
> Best regards,
>
> Victoria Gray on behalf of OMA.
>
>  
> Victoria Gray
> FORApolis / DSO
> Tel +33 (0)4 92 94 49 23
> Fax +33 (0)4 92 38 49 23
> GSM +33 (0)6 73 99 62 90
> [email-masked]
>  
> MSN: [email-masked] <mailto:[email-masked]>
> Yahoo!: bluevicci
> Skype: victoria-gray  Google: [email-masked]
>  
>
>   
> ------------------------------------------------------------------------
>
> _______________________________________________
> Ecrit mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ecrit

_______________________________________________
Geopriv mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/geopriv